#ifndef COMMONS_CURVES_H
#define COMMONS_CURVES_H

uniform sampler2D s_Curves;

float curve_sample(int idx, float t)
{
	return textureLod(s_Curves, vec2(t, (float(idx) + 0.5) / 256.0), 0.0).r;
}

#endif // COMMONS_CURVES_H
